import { Component, OnInit} from "@angular/core";
import { BsModalService } from "ngx-bootstrap/modal";
import { FlexModalComponent } from "../../../../../shared/common/FlexModal.component";

@Component({
  selector: "flex-org-modal",
  templateUrl: "./flex-org-modal.html",
  styleUrls: ["./flex-org-modal.scss"]
})
export class FlexOrgModal extends FlexModalComponent implements OnInit {
  public query = {
    query : ""
  };

  QUERY_URL = "by/byApply/queryOrgForByApply.htm";
  
  constructor(
    public bsModalService: BsModalService,
  ) {
    super(bsModalService);
  }
  ngOnInit() {}

  search(param) {
    param.query=this.query.query;
  }
}
